local itemSets = {
	["Adept's Guide to Dimensional Rifting"] = " ",
	["Fendas Dimensionais para Adeptos"] = " ",
	["Guía para adeptos sobre las fallas dimensionales"] = " ",
	["Guida dell'Adepta ai Varchi Dimensionali"] = " ",
	["Guide de l'adepte en failles dimensionnelles"] = " ",
	["Adeptenleitfaden für Dimensionsreisen"] = " ",
}

local find = string.find

local function GameTooltip_OnTooltipSetItem(tooltip)
	local itemName = tooltip:GetItem()
	if not itemName then return; end

        
	for setName, blank in pairs(itemSets) do
		if find(itemName, setName) then
			tooltip:AddLine(blank)
			tooltip:AddLine("Monday - Val'shara (59.20, 53.82) - Near the Temple of Elune")
	        tooltip:AddLine("Tuesday - Suramar (50.62, 66.20) - The middle of the city")
	        tooltip:AddLine("Wednesday - Azsuna (35.10, 71.26) - On the Isle of Watchers")
	        tooltip:AddLine("Thursday - Highmountain (49.92, 59.65) - Just east of Thunder Totem")
	        tooltip:AddLine("Friday - Stormheim (54.47, 61.08) - Near Talonrest")
	        tooltip:AddLine("Saturday - Broken Shore (61.90, 29.84) - Near the Tomb of Sargeras")
	        tooltip:AddLine("Sunday - *Doesn't work*")
			break
		end
	end
end

GameTooltip:HookScript("OnTooltipSetItem", GameTooltip_OnTooltipSetItem)


-- Code for Beginner's Guide to Dimensional Rifting
local itemSets = {
	["Beginner's Guide to Dimensional Rifting"] = " ",
	["Fendas Dimensionais para Principiantes"] = " ",
	["Guía para principiantes sobre las fallas dimensionales"] = " ",
	["Guida Introduttiva ai Varchi Dimensionali"] = " ",
	["Guide du débutant en failles dimensionnelles"] = " ",
	["Anfängerleitfaden für Dimensionsreisen"] = " ",
}

local find = string.find

local function GameTooltip_OnTooltipSetItem(tooltip)
	local itemName = tooltip:GetItem()
	if not itemName then return; end

        
	for setName, blank in pairs(itemSets) do
		if find(itemName, setName) then
			tooltip:AddLine(blank)
			tooltip:AddLine("Book 1 Sunday - Navigating Through Time")
	        tooltip:AddLine("Book 2 Monday - Holy Places to Many")
	        tooltip:AddLine("Book 3 Tuesday - Water, Just Water")
	        tooltip:AddLine("Book 4 Wednesday - Risks and Rewards")
	        tooltip:AddLine("Book 5 Thursday - Finding Others Along the Way")
	        tooltip:AddLine("Book 6 Friday - Pent Up Energy")
	        tooltip:AddLine("Book 7 Saturday - Our Legacy")
			break
		end
	end
end

GameTooltip:HookScript("OnTooltipSetItem", GameTooltip_OnTooltipSetItem)